%define major		1
%define girmajor	2.0
%define libname	%mklibname caja-extension %{major}
%define girname %mklibname caja-gir %{girmajor}
%define devname	%mklibname -d caja-extension
%define oname caja

Summary:	File manager for the MATE desktop environment
Name:		mate-file-manager
Version:	1.14.1
Release:	%mkrel 1
Group:		Graphical desktop/Mate
License:	GPLv2+
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.8/%{oname}-%{version}.tar.xz
Source1:	org.mate.caja.gschema.xml
Source2:	caja-inthemenu.desktop
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: mate-common
BuildRequires: mate-desktop-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}exempi3-devel
BuildRequires: %{_lib}exif12-devel
BuildRequires: %{_lib}gail-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}ice-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}sm-devel
BuildRequires: %{_lib}unique-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}xrender-devel

Requires(post,postun):	shared-mime-info
Requires(post,postun):	desktop-file-utils

%description
Mate-file-manager is an excellent file manager for the MATE desktop 
environment.


%package devel
Summary:	Development files for developing mate-file-manager components
Group:		Development/Libraries
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}

%description devel
This package provides the necessary development libraries and include 
files to allow you to develop mate-file-manager components.

%prep
%setup -qn %oname-%version

%build
%configure2_5x \
	--disable-static \
	--disable-update-mimedb \
	--disable-schemas-compile

%make LIBS='-lm -lgmodule-2.0'

%install
rm -rf %buildroot
%makeinstall_std
find %{buildroot} -name "*.la" -exec rm -rf {} \;

mkdir -p %{buildroot}%{_localstatedir}/lib/gnome/desktop \
	%{buildroot}%{_datadir}/mate-file-manager/default-desktop \
	%{buildroot}%{_libdir}/mate-file-manager/extensions-2.0

install -m 0644 %SOURCE1 %{buildroot}%{_datadir}/glib-2.0/schemas/org.mate.caja.gschema.xml

install -m 0644 %SOURCE2 %{buildroot}%{_datadir}/applications/caja-inthemenu.desktop


%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS HACKING AUTHORS MAINTAINERS
%dir %{_localstatedir}/lib/gnome/desktop
%dir %{_localstatedir}/lib/gnome/
%{_bindir}/*
%{_libexecdir}/caja-convert-metadata
%dir %{_libdir}/mate-file-manager
%{_datadir}/applications/*
%dir %{_datadir}/caja
%{_datadir}/caja/*
%dir %{_datadir}/mate-file-manager
%{_datadir}/mate-file-manager/*
%{_datadir}/mime/packages/caja.xml
%dir %{_datadir}/pixmaps/caja
%{_datadir}/pixmaps/caja/*
%{_mandir}/man1/*
%{_datadir}/dbus-1/services/org.mate.freedesktop.FileManager1.service
%{_datadir}/glib-2.0/schemas/org.mate.caja.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.media-handling.gschema.xml
%{_libdir}/libcaja-extension.so.%{major}*
%{_libdir}/girepository-1.0/Caja-%{girmajor}.typelib
%{_datadir}/icons/hicolor
%{_datadir}/appdata/caja.appdata.xml

%files devel
%defattr(-,root,root,-)
%doc ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/Caja-%{girmajor}.gir
%doc %{_datadir}/gtk-doc/html/libcaja-extension

%post
/sbin/ldconfig
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor >& /dev/null || :


%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  /bin/touch --no-create %{_datadir}/icons/hicolor >& /dev/null || :
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor >& /dev/null || :
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :


%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor >& /dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%clean
rm -rf %buildroot

%changelog
* Sat May 21 2016 bb <bb> 1.14.1-1pclos2016
- update

* Fri Apr 08 2016 bb <bb> 1.14.0-1pclos2016
- update

* Fri Apr 01 2016 bb <bb> 1.12.7-1pclos2016
- update

* Wed Mar 16 2016 bb <bb> 1.12.6-1pclos2016
- update

* Tue Feb 16 2016 bb <bb> 1.12.4-1pclos2016
- update

* Sun Jan 31 2016 bb <bb> 1.21.3-1pclos2016
- update

